Совершенно не обязательно ждать, пока закончится предыдущая закачка, чтобы добавить следующую
С помощью Ummy Video Downloader можно скачивать HD и MP3 с YouTube прямо с Savefrom.net
В настройках можно переназначить папку сохранения скаченных файлов
С помощью Ummy Video Downloader можно скачивать видео в формате HD и ULTRA HD